<?php
if ( ! defined( 'ABSPATH' ) ) exit;
class Event_Registration_Pro_Cron_Mail 
{
	    
	////////////////////////////////////////Data in the Email Archive//////////////////////////////////////////// 
	function event_cron_mail()
	{   
	global $final_price;         
	$registration_handling=array();
	$event_display_settings=array();
	$event_display_settings = get_option("erp_event_display_settings"); 
	$timezone=$event_display_settings['erp_event_display_settings_timezone_offset'];
	date_default_timezone_set($timezone);
	 $cur_date=date("Y-m-d");
	
	$registration_handling = get_option("erp_event_registration_settings");
	//$Admin_Email=$registration_handling['erp_event_registration_settings_register_notify'];
			$Admin_Email= get_option( 'admin_email' );
			$site_name= get_option( 'blogname' ); 
	if($registration_handling['erp_event_handling_disable_remiders']='No'){
	
	
				$args = array(											
								'post_type' => 'register_events',
								'posts_per_page' => '-1',
								'meta_query'     => array(
										array (
										   'key'     => 'accepted',
										   'value'   =>1,
										   'compare' => '=',
										 )
									),		
							);
							global $wpdb; 							
						
										
				 $results = new WP_Query( $args ); 
				  
					foreach($results->posts as $result){ 
					
					$reg_meta=get_post_meta($result->ID);
					  $event_id=$reg_meta['post_id'][0];
					$event_meta=get_post_meta($event_id);
					  $days=$event_meta['erp_event_send_reminder_emails_to_registrants'][0];
						    $event_start_date = dateformat_function($event_meta['erp_event_date'][0]);
						
			   			
						 //if(!empty($days)){
							 $date1=date_create($event_start_date);
							date_sub($date1,date_interval_create_from_date_string($days." days"));
							 $send_reminder_mail= date_format($date1,"Y-m-d");
							
								  		   
						 
						 /*start date after day sending pending mail*/
						 
						 $datetime1 = date_create($cur_date);
						$datetime2 = date_create($send_reminder_mail);
						$interval = date_diff($datetime1, $datetime2);
						$t=$interval->format('%a');
						if($t == 0){
							if(!empty($result->post_title)){
							/*registrant detail*/
							
							$get_fields_count1 = get_post_meta($reg_meta['form_id'][0],'regform_fields_hid_count_meta_fields',true);
							$module_layout = explode(",",$get_fields_count1);
							$registrationdetails='';
							$registrationdetails .='<table cellpadding="4" cellspacing="0" width="100%" border="" >';
							
							foreach($module_layout as $layout){
					 
								$field_title = get_post_meta($reg_meta['form_id'][0],'regform_fields_field_title_'.$layout,true);
								$field_identification = get_post_meta($reg_meta['form_id'][0],'regform_fields_field_identification_'.$layout,true);
								 $registrationdetails .='<tr><td>'.$field_title.'</td><td>'.$reg_meta[$field_identification][0].'</td></tr>';
								
							}
							 //$registrationdetails .=$registrationdetails2;
							$registrationdetails .='<tr><td>Event Name</td><td>'.$reg_meta['event_name'][0].'</td></tr>';
							$registrationdetails .='<tr><td>Product Qty</td><td>'.$reg_meta['product_qty'][0].'</td></tr>';
							$registrationdetails .='</table>'; 
							/*event detail*/
							$event_url=get_permalink( $reg_meta['post_id'][0] );
							$event_meta=get_post_meta($reg_meta['post_id'][0]);
							$content_post = get_post($reg_meta['post_id'][0]);
							$event_content = $content_post->post_content;
							$event_content = apply_filters('the_content', $event_content);
							
							$excerpt = $content_post->post_excerpt;
							
							/*location details*/
							$location_meta=get_post_meta($event_meta['erp_event_location'][0]);
							$location = get_the_title($event_meta['erp_event_location'][0]);
							$content_post = get_post($event_meta['erp_event_location'][0]);
							$loc_content = $content_post->post_content;
							$loc_content = apply_filters('the_content', $loc_content);
							$price =  $reg_meta['event_price'][0];//get_post_meta($reg_meta['post_id'][0],'erp_event_price_'.$reg_meta['ticket_id'][0],true);				 
				   			$ticket_name = get_post_meta($reg_meta['post_id'][0],'erp_event_ticket_name_'.$reg_meta['ticket_id'][0],true);
							if(empty($ticket_name)){
								$tkt_name='Free Admission';
								$tkt_price='$0.00';
							}
							else{
								$tkt_name=$ticket_name;
								global $final_price;
									do_action('get_ticket_add_on_setting_event_registration_pro_ticket_standard',$price);
									$tkt_price=$final_price;
							}
							

						$transactiondetails='';
						$transactiondetails .='<div style="margin-bottom:20px;"></div>';
						
						$transactiondetails .='<table border="" cellpadding="4" cellspacing="0" width="100%" class="product-data-border">
						<thead>
							<th>Ticket Name</th>
							
							<th>Total Price</th>
						
						</thead>
						<tbody>
						   
							<tr>
								<td  style="vertical-align:top">'.$tkt_name.'</td>
								
								<td  style="vertical-align:top">'.$tkt_price.'</td>';
								
						$transactiondetails .='</tr></tbody></table>';
						
						$transactiondetails .= "</div></div></body></html>";
							
							$Email = $reg_meta['email'][0];
													
    						$email_tmpl_id =$event_meta['erp_event_reminder_notification'][0];
							$email_tmpl=get_post_meta($email_tmpl_id);
							
							 $admin_email=apply_filters('the_content', $email_tmpl['erp_email_template_email_body'][0]);	
							 $email_tmpl['erp_email_template_subject'][0];
							$atokens = array("{registrationid}","{fullname}","{email}","{sitename}","{eventtitle}","{location}","{url}","{street}","{city}","{zip}","{country}","{locdescription}","{eventstart}","{eventend}","{shortdesc}","{longdesc}","{groupregistrationcount}","{registrationdetails}","{transactiondetails}","{resumepaymentlink}");

       						$avalues = array($result->ID,$result->post_title,$Email,get_site_url(),$reg_meta['event_name'][0],$location,$event_url,$location_meta['erp_event_location_manager_street'][0],$location_meta['erp_event_location_manager_city_state'][0],$location_meta['erp_event_location_manager_zip'][0],$location_meta['erp_event_location_manager_country'][0],$loc_content,$event_meta['erp_event_date'][0],$event_meta['erp_event_enddate'][0],$excerpt,$event_content,'',$registrationdetails,$transactiondetails,'');
	
						   $admin_email_body = str_replace($atokens, $avalues, $admin_email);
						   $admin_email_subject = str_replace($atokens, $avalues, $email_tmpl['erp_email_template_subject'][0]);
	   				
  							$tms_sender_mail = $Email;
							$subjectforAdmin = $admin_email_subject;
							$messageforAdmin = '';
							$messageforAdmin .= "<html><body>";
							$messageforAdmin .= "<div style='width:100%;'><div style='padding:25px;'>";
							
							
							$messageforAdmin .= "<p> ".$admin_email_body.". </p>";
							$messageforAdmin .= "</div></div></body></html>";
					
							
					
							$headersforCustomer = "MIME-Version: 1.0" . "\r\n";
					
							$headersforCustomer .= "Content-type:text/html;charset=iso-8859-1"."\r\n"; 
					
							$headersforCustomer .= "From: <".$site_name.">"."\r\n";
					
							$headersforCustomer .= "Return-Path: ".$tms_sender_mail.""."\r\n"; 
					
							$headersforCustomer .= "BCC: ".$tms_sender_mail.""."\r\n";  
							//echo $messageforAdmin;
							$mail = mail($Email,$subjectforAdmin,$messageforAdmin,$headersforCustomer,'-f'.$Email);
						}
						}
					  
					}
		
		}
	
	
	
	
	
	
			$Email=$registration_handling['erp_event_registration_settings_register_notify'];
			$delete_pending_yes=$registration_handling['erp_event_registration_settings_delete_pending_reg'];
			$delete_pending_days=$registration_handling['erp_event_registration_settings_default_delete_days'];
			$cur_date=date('Y/m/d');
			
			if($delete_pending_yes=='Yes'){
				
				$args = array(											
													'post_type' => 'register_events',
													'posts_per_page' => '-1',
													'meta_query'     => array(
															array (
															   'key'     => 'paymentstatus',
															   'value'   =>0,
															   'compare' => '=',
															 )
														),
												); 	
						
										
				 $results = new WP_Query( $args );  
					
					 
					foreach($results->posts as $result){ 
						 $regdate=$result->post_date;
						 $pending_date_end =date('Y/m/d ', strtotime($regdate. ' + '.$delete_pending_days.' days'));
						
						if($cur_date>$pending_date_end){
						$wpdb->query("DELETE p, pm FROM ".$wpdb->posts." p INNER JOIN ".$wpdb->postmeta." pm ON pm.post_id = p.ID WHERE post_type = 'register_events' AND p.ID =".$result->ID);
						}
					}
							
			}
		
		
			//$event_display_settings=array();
			 //$event_display_settings = get_option("erp_event_display_settings"); 
			  $dateformat=$event_display_settings['erp_event_display_settings_formatdate'];
			  $timeformat=$event_display_settings['erp_event_display_settings_formattime'];

			//$registration_handling=array();
			//$registration_handling = get_option("erp_event_registration_settings"); 
			//$Admin_Email=$registration_handling['erp_event_registration_settings_register_notify'];
			//$Admin_Email= get_option( 'admin_email' );
			//$site_name= get_option( 'blogname' ); 
			 $sendmail_yes=$registration_handling['erp_event_registration_settings_default_email_to_pending_reg'];
			$sendmail_pending_days=$registration_handling['erp_event_registration_settings_default_email_to_pending_reg_days'];
			$send_cur_date=date('Y/m/d');
			if($sendmail_yes=='Yes'){
				$args = array(											
								'post_type' => 'register_events',
								'posts_per_page' => '-1',
								'meta_query'     => array(
										array (
										   'key'     => 'paymentstatus',
										   'value'   =>0,
										   'compare' => '=',
										 )
									),
							); 							
				
				 $results = new WP_Query( $args );
				 //print_r($results);  
					foreach($results->posts as $result){
						  $regdate=$result->post_date;
						 if(!empty($sendmail_pending_days)){
						  $sendmail_date_end =date('Y/m/d ', strtotime($regdate. ' + '.$sendmail_pending_days.' days'));
					}else{ 
						$sendmail_date_end=$result->post_date;
					}
						 
						 /*start date after day sending pending mail*/
						 
						if($send_cur_date>$sendmail_date_end){
							if(!empty($result->post_title)){
							/*registrant detail*/
							$reg_meta=get_post_meta($result->ID);
							$get_fields_count1 = get_post_meta($reg_meta['form_id'][0],'regform_fields_hid_count_meta_fields',true);
							$module_layout = explode(",",$get_fields_count1);
							$registrationdetails='<table cellpadding="4" cellspacing="0" width="100%" border="" >';
							foreach($module_layout as $layout){
					 
								$field_title = get_post_meta($reg_meta['form_id'][0],'regform_fields_field_title_'.$layout,true);
								$field_identification = get_post_meta($reg_meta['form_id'][0],'regform_fields_field_identification_'.$layout,true);
								 $registrationdetails .='<tr><td>'.$field_title.'</td><td>'.$reg_meta[$field_identification][0].'</td></tr>';
								
							}
							 //$registrationdetails .=$registrationdetails1;
							$registrationdetails .='<tr><td>Event Name</td><td>'.$reg_meta['event_name'][0].'</td></tr>';
							$registrationdetails .='<tr><td>Product Qty</td><td>'.$reg_meta['product_qty'][0].'</td></tr>';
							$registrationdetails .='</table>'; 
							/*event detail*/
							$event_url=get_permalink( $reg_meta['post_id'][0] );
							$event_meta=get_post_meta($reg_meta['post_id'][0]);
							$content_post = get_post($reg_meta['post_id'][0]);
							$event_content = $content_post->post_content;
							$event_content = apply_filters('the_content', $event_content);
							
							$excerpt = $content_post->post_excerpt;
							
							/*location details*/
							$location_meta=get_post_meta($event_meta['erp_event_location'][0]);
							$location = get_the_title($event_meta['erp_event_location'][0]);
							$content_post = get_post($event_meta['erp_event_location'][0]);
							$loc_content = $content_post->post_content;
							$loc_content = apply_filters('the_content', $loc_content);
							$price = $reg_meta['event_price'][0];//get_post_meta($reg_meta['post_id'][0],'erp_event_price_'.$reg_meta['ticket_id'][0],true);				 
				   			$ticket_name = get_post_meta($reg_meta['post_id'][0],'erp_event_ticket_name_'.$reg_meta['ticket_id'][0],true);
							if(empty($ticket_name)){
								$tkt_name='Free Admission';
								$tkt_price='$0.00';
							}
							else{
								$tkt_name=$ticket_name;
								global $final_price;
									do_action('get_ticket_add_on_setting_event_registration_pro_ticket_standard',$price);
									$tkt_price=$final_price;
							}
						

						$transactiondetails='';
						$transactiondetails .='<div style="margin-bottom:20px;"></div>';
						
						$transactiondetails .='<table border="" cellpadding="4" cellspacing="0" width="100%" class="product-data-border">
						<thead>
							<th>Ticket Name</th>
							
							<th>Total Price</th>
						
						</thead>
						<tbody>
						   
							<tr>
								<td  style="vertical-align:top">'.$tkt_name.'</td>
								
								<td  style="vertical-align:top">'.$tkt_price.'</td>';
								
						$transactiondetails .='</tr></tbody></table>';
						$resumepaymentlink='<a href="http://sandbox.eventregistrationpro.com/erp-cart/?pendingKey='.$result->ID.'">Resume Payment</a>';
						$transactiondetails .= "</div></div></body></html>";
							
							$Email = $reg_meta['email'][0];
							$pending_email_templ = get_page_by_path( 'pending-registration-followup', OBJECT, 'erp_email_template' );
												
    						$email_tmpl_id = $pending_email_templ->ID;
							$email_tmpl=get_post_meta($email_tmpl_id);
							$admin_email=apply_filters('the_content', $email_tmpl['erp_email_template_email_body'][0]);
								
							$atokens = array("{registrationid}","{fullname}","{email}","{sitename}","{eventtitle}","{location}","{url}","{street}","{city}","{zip}","{country}","{locdescription}","{eventstart}","{eventend}","{shortdesc}","{longdesc}","{groupregistrationcount}","{registrationdetails}","{transactiondetails}","{resumepaymentlink}");

       						$avalues = array($result->ID,$result->post_title,$Email,get_site_url(),$reg_meta['event_name'][0],$location,$event_url,$location_meta['erp_event_location_manager_street'][0],$location_meta['erp_event_location_manager_city_state'][0],$location_meta['erp_event_location_manager_zip'][0],$location_meta['erp_event_location_manager_country'][0],$loc_content,date($dateformat, strtotime($event_meta['erp_event_date'][0])),date($dateformat, strtotime($event_meta['erp_event_enddate'][0])),$excerpt,$event_content,'',$registrationdetails,$transactiondetails,$resumepaymentlink);
	
       $admin_email_body = str_replace($atokens, $avalues, $admin_email);
	   $admin_email_subject = str_replace($atokens, $avalues, $email_tmpl['erp_email_template_subject'][0]);
	   				
  							$tms_sender_mail = $Admin_Email;
							$subjectforAdmin = $admin_email_subject;
							$messageforAdmin = '';
							$messageforAdmin .= "<html><body>";
							$messageforAdmin .= "<div style='width:100%;'><div style='padding:25px;'>";
							
							
							$messageforAdmin .= "<p> ".$admin_email_body.". </p>";
							$messageforAdmin .= "</div></div></body></html>";
					
							
					
							$headersforCustomer = "MIME-Version: 1.0" . "\r\n";
					
							$headersforCustomer .= "Content-type:text/html;charset=iso-8859-1"."\r\n"; 
					
							$headersforCustomer .= "From:".$site_name." <".$Admin_Email.">"."\r\n";
					
							$headersforCustomer .= "Return-Path: ".$tms_sender_mail.""."\r\n"; 
					
							$headersforCustomer .= "BCC: ".$tms_sender_mail.""."\r\n";  
							
							//echo $messageforAdmin; 
							$mail = mail($Email,$subjectforAdmin,$messageforAdmin,$headersforCustomer,'-f'.$tms_sender_mail);
						}
						}
					}
		
			}
	


	}
}